Loading...
Searching...
No Matches
irr::io::IWriteFile Class Referenceabstract

Interface providing write access to a file. More...

`#include <IWriteFile.h>`

Inheritance diagram for irr::io::IWriteFile:

## Public Member Functions

virtual const path & | getFileName () const =0
| Get name of file.
virtual long | getPos () const =0
| Get the current position in the file.
virtual bool | seek (long finalPos, bool relativeMovement=false)=0
| Changes position in file.
virtual s32 | write (const void *buffer, u32 sizeToWrite)=0
| Writes an amount of bytes to the file.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface providing write access to a file.

Definition at line 17 of file IWriteFile.h.

## Member Function Documentation

## getFileName()

virtual const path & irr::io::IWriteFile::getFileName | ( |  | ) | const

pure virtual

Get name of file.

Returns
  File name as zero terminated character string.

## getPos()

virtual long irr::io::IWriteFile::getPos | ( |  | ) | const

pure virtual

Get the current position in the file.

Returns
  Current position in the file in bytes.

## seek()

virtual bool irr::io::IWriteFile::seek | ( | long | finalPos,
|  | bool | relativeMovement = false )

pure virtual

Changes position in file.

Parameters

  finalPos | Destination position in the file.
  relativeMovement | If set to true, the position in the file is changed relative to current position. Otherwise the position is changed from begin of file.

Returns
  True if successful, otherwise false.

## write()

virtual s32 irr::io::IWriteFile::write | ( | const void * | buffer,
|  | u32 | sizeToWrite )

pure virtual

Writes an amount of bytes to the file.

Parameters

  buffer | Pointer to buffer of bytes to write.
  sizeToWrite | Amount of bytes to write to the file.

Returns
  How much bytes were written.

The documentation for this class was generated from the following file:

- IWriteFile.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0